XSchem is a tool for converting [Prismarine](https://github.com/PrismarineJS/prismarine-schematic)
compatible schematics into a fairly simple JSON format, e.g. for quick and dirty placement of small buildings or other creations in a plugin.

## Output JSON format
The output JSON is an array of arrays containing key-value-like pairs of blockdata and relative block positions:
```
[
    [blockdata, [x0,y0,z0, x1,y1,z1, x2,y2,z2, ...]],
    [blockdata, [ ... ]]
]
```

The `blockdata` is a setblock compatible string, for example
* `spruce_wood[axis="y"]`
* `oak_leaves[persistent="false",distance="4"]`

The coordinate array has all of the relative coordinates of this block,
listed in groups of three (so the array must have a length divisible by three).
If a certain block should be placed at e.g.
the relative positions `(x1, y1, z1)` and `(x2, y2, z2)`,
the coordinates would be presented in the array as `[x1,y1,z1, x2,y2,z2]` and so on.

This format stores no information about the size
or the original position of the schematic, so,
its sole meaning is to be a quick and dirty way to store small creations,
e.g. schematics of trees.

## License
This repository is licensed under the MIT license.